Bug 297357 - Review "use-stable-kde" option to build current stable release
Summary: Review "use-stable-kde" option to build current stable release
Status: RESOLVED FIXED
Alias: None
Product: kdesrc-build
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Michael Pyne
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 08:25 UTC by Valery Yundin
Modified: 2012-04-05 02:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 1.15


Attachments
Patch adding "use-stable-kde" option (5.42 KB, patch)
2012-04-03 08:25 UTC, Valery Yundin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valery Yundin 2012-04-03 08:25:24 UTC
Created attachment 70104 [details]
Patch adding "use-stable-kde" option

It might be useful sometimes to change default branch choice to stable release instead of current development. The proposed patch does it by restoring once existed option"use-stable-kde". The stable release branch is taken from kde_projects.xml
Comment 1 Michael Pyne 2012-04-05 02:47:12 UTC
Git commit 84447b1deffea6b3c4740d987b064b75e3b5d185 by Michael Pyne, on behalf of Valery Yundin.
Committed on 05/04/2012 at 04:19.
Pushed by mpyne into branch 'master'.

Support defaulting to stable branches from proj.k.o.

Valery Yundin has kindly submitted a patch (including documentation!)
resurrecting the old "use-stable-kde" option to allow for defaulting
kde-projects modules to the stable branch (if defined for that module).

This should track with changes to the stable branch as defined, so it
would be a good way to track the "not quite bleeding-edge" of
development.

A hearty thanks to Valery for making up a patch and then adapting it to
make use of the old use-stable-kde option.
FIXED-IN:1.15

M  +31   -5    doc/index.docbook
M  +28   -9    kdesrc-build

http://commits.kde.org/kdesrc-build/84447b1deffea6b3c4740d987b064b75e3b5d185